=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file was generated by gr_modtool, a tool from the GNU Radio framework
# This file is a part of gr-radar
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

install(FILES
    radar_signal_generator_cw_c.block.yml
    radar_signal_generator_fmcw_c.block.yml
    radar_split_cc.block.yml
    radar_os_cfar_c.block.yml
    radar_ts_fft_cc.block.yml
    radar_estimator_cw.block.yml
    radar_print_results.block.yml
    radar_static_target_simulator_cc.block.yml
    radar_signal_generator_fsk_c.block.yml
    radar_split_fsk_cc.block.yml
    radar_estimator_fsk.block.yml
    radar_usrp_echotimer_cc.block.yml
    radar_estimator_fmcw.block.yml
    radar_signal_generator_sync_pulse_c.block.yml
    radar_estimator_sync_pulse_c.block.yml
    radar_find_max_peak_c.block.yml
    radar_qtgui_scatter_plot.block.yml
    radar_qtgui_time_plot.block.yml
    radar_tracking_singletarget.block.yml
    radar_msg_gate.block.yml
    radar_msg_manipulator.block.yml
    radar_ofdm_cyclic_prefix_remover_cvc.block.yml
    radar_transpose_matrix_vcvc.block.yml
    radar_qtgui_spectrogram_plot.block.yml
    radar_crop_matrix_vcvc.block.yml
    radar_ofdm_divide_vcvc.block.yml
    radar_os_cfar_2d_vc.block.yml
    radar_estimator_ofdm.block.yml
    radar_estimator_rcs.block.yml
    radar_trigger_command.block.yml
    DESTINATION share/gnuradio/grc/blocks
)
