=== debian/changelog ===
gr-radar (0.0.0.20220920-2build22) resolute; urgency=medium

  * Rebuild against latest uhd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Oct 2025 13:54:48 -0400

gr-radar (0.0.0.20220920-2build21) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 13:55:48 +0200

gr-radar (0.0.0.20220920-2build20) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 13:54:09 +0200

gr-radar (0.0.0.20220920-2build19) questing; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 May 2025 11:55:34 -0400

gr-radar (0.0.0.20220920-2build18) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jan 2025 14:46:01 +0000

gr-radar (0.0.0.20220920-2build17) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 06:05:30 +0100

gr-radar (0.0.0.20220920-2build16) oracular; urgency=medium

  * No-change rebuild for gnuradio-3.10.11.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 26 Jul 2024 08:08:56 +0100

gr-radar (0.0.0.20220920-2build15) oracular; urgency=medium

  * No-change rebuild for libuhd-4.7.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 23 Jul 2024 20:03:30 +0100

gr-radar (0.0.0.20220920-2build14) oracular; urgency=high

  * No change rebuild against gnuradio.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 14 May 2024 10:25:36 +0200

gr-radar (0.0.0.20220920-2build13) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:20:29 +0000

gr-radar (0.0.0.20220920-2build12) noble; urgency=medium

  * No-change rebuild against gnuradio t64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Mar 2024 06:09:53 +0100

gr-radar (0.0.0.20220920-2build11) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:31:44 +0000

gr-radar (0.0.0.20220920-2build10) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jan 2024 07:40:37 +0000

gr-radar (0.0.0.20220920-2build9) noble; urgency=medium

  * No-change rebuild for gnuradio soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Jan 2024 11:44:45 +0100

gr-radar (0.0.0.20220920-2build8) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Dec 2023 23:15:37 +0100

gr-radar (0.0.0.20220920-2build7) noble; urgency=medium

  * Rebuild against latest uhd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Nov 2023 07:21:01 -0500

gr-radar (0.0.0.20220920-2build6) noble; urgency=medium

  * Rebuild against latest gnuradio

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Oct 2023 07:35:15 -0400

gr-radar (0.0.0.20220920-2build5) noble; urgency=medium

  * Rebuild against new libuhd4.5.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2023 11:35:00 +0200

gr-radar (0.0.0.20220920-2build4) mantic; urgency=medium

  * Rebuild against new libvolk3.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Sep 2023 17:14:11 +0200

gr-radar (0.0.0.20220920-2build3) mantic; urgency=medium

  * No-change rebuild against libuhd4.4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jul 2023 14:41:31 +0000

gr-radar (0.0.0.20220920-2build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Dec 2022 03:38:35 +0000

gr-radar (0.0.0.20220920-2build1) lunar; urgency=medium

  * no-change rebuild against libuhd 4.3.0 and gnuradio 3.10.4

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 16 Nov 2022 15:22:43 -0300

gr-radar (0.0.0.20220920-2) unstable; urgency=medium

  * upload to unstable for transitions

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 21 Sep 2022 20:15:01 -0400

gr-radar (0.0.0.20220920-1) experimental; urgency=medium

  * use-pybind11, build with gnuradio 3.10
  * upload to experimental with new soversion, library name bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 17 Jan 2022 15:41:17 -0500
