=== debian/control ===
Source: gr-radar
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
	       dh-python,
               doxygen-latex,
	       gir1.2-gtk-3.0,
               gnuradio-dev (>= 3.9),
	       gobject-introspection,
               libboost-system-dev,
	       liborc-0.4-dev,
	       libspdlog-dev,
               libqwt-qt5-dev,
               libuhd-dev,
               pkg-config,
	       python3-dev,
	       python3-gi,
	       python3-matplotlib,
	       python3-numpy,
	       python3-tk,
	       qtbase5-dev,
               qtchooser
Build-Depends-Indep: doxygen
Standards-Version: 4.6.1
Homepage: https://grradar.wordpress.com
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gr-radar.git
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gr-radar

Package: gr-radar
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio-dev,
         libgnuradio-radar3.10.0 (=${binary:Version}),
	 python3,
         ${misc:Depends},
         ${shlibs:Depends}, ${python3:Depends}
Breaks: libgnuradio-radar3.7 (<< 0.0.0.20161018-2),
        libgnuradio-radar3.7.10,
        libgnuradio-radar3.7.8
Replaces: libgnuradio-radar3.7 (<< 0.0.0.20161018-2),
          libgnuradio-radar3.7.10,
          libgnuradio-radar3.7.8
Description: GNU Radio Radar Toolbox
 The *gr-radar* project provides a toolbox of commonly used radar
 algorithms. An important part is the *UHD Echotimer*, which enables a
 synchronized TX and RX stream from USRPs to ensure a constant phase
 relation in measurements. Example flowgraphs for CW, Dual CW, FSK,
 FMCW and OFDM radar are given and partly tested on hardware. GUI
 elements for target representation and further signal processing
 algorithms such as target tracking are implemented. Check out the
 project website for example videos and further information.
 .
 gr-radar provides GNU Radio Companion flowgraphs to handle RADAR data.

Package: gr-radar-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libjs-jquery, ${misc:Depends}, ${python3:Depends}
Description: GNU Radio Radar Toolbox - Documentation
 The *gr-radar* project provides a toolbox of commonly used radar
 algorithms. An important part is the *UHD Echotimer*, which enables a
 synchronized TX and RX stream from USRPs to ensure a constant phase
 relation in measurements. Example flowgraphs for CW, Dual CW, FSK,
 FMCW and OFDM radar are given and partly tested on hardware. GUI
 elements for target representation and further signal processing
 algorithms such as target tracking are implemented. Check out the
 project website for example videos and further information.
 .
 gr-radar-doc provides Doxygen generated documentation.

Package: libgnuradio-radar3.10.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-radar
Section: libs
Description: GNU Radio Radar Toolbox - library
 The *gr-radar* project provides a toolbox of commonly used radar
 algorithms. An important part is the *UHD Echotimer*, which enables a
 synchronized TX and RX stream from USRPs to ensure a constant phase
 relation in measurements. Example flowgraphs for CW, Dual CW, FSK,
 FMCW and OFDM radar are given and partly tested on hardware. GUI
 elements for target representation and further signal processing
 algorithms such as target tracking are implemented. Check out the
 project website for example videos and further information.
 .
 This package provides a shared library.
